package main

import (
	"fmt"
	"os"

	"go.mthie.com/git-gohooks/general"
)

func main() {
	files := general.GetChangedGoFiles()
	if len(files) == 0 {
		os.Exit(0)
		return
	}

	os.Chdir(general.GetGitRoot())

	result, status := general.RunCommand("golangci-lint", "run", "./...")
	if status != 0 {
		fmt.Fprintf(os.Stderr, "Lint failed, please commit only stuff that is linted.\n%s", result)
		os.Exit(1)
		return
	}
}
